# studio::Duckmatic::Stroke Struct Reference

`#include <duckmatic.h>`

List of all members.

## Public Member Functions

bool | is_valid () const
sigc::signal< void, float > & | signal_user_click (int i=0)

## Public Attributes

etl::smart_ptr< std::list < synfig::Point > > | stroke_data
synfig::Color | color

## Detailed Description

Todo:
  This needs to be documented further.

## Member Function Documentation

bool studio::Duckmatic::Stroke::is_valid | ( |  | ) | const`[inline]`

References stroke_data.

sigc::signal<void,float>& studio::Duckmatic::Stroke::signal_user_click | ( | int | i = `0` | ) | `[inline]`

## Member Data Documentation

etl::smart_ptr<std::list<synfig::Point> > studio::Duckmatic::Stroke::stroke_data

Referenced by is_valid().

synfig::Color studio::Duckmatic::Stroke::color

The documentation for this struct was generated from the following file:

- duckmatic.h